Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpSignatoryProvider

    java.lang.Object
      org.gradle.plugins.signing.signatory.pgp.PgpSignatoryProvider

All Implemented Interfaces:
  SignatoryProvider

    class PgpSignatoryProvider

Method Summary
`void` | `configure(SigningExtension settings, Closure closure)`
`PgpSignatory` | `getDefaultSignatory(Project project)`
`PgpSignatory` | `getSignatory(String name)`
`PgpSignatory` | `propertyMissing(String signatoryName)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### configure

    void configure(SigningExtension settings, Closure closure)

### getDefaultSignatory

    PgpSignatory getDefaultSignatory(Project project)

### getSignatory

    PgpSignatory getSignatory(String name)

### propertyMissing

    PgpSignatory propertyMissing(String signatoryName)

Gradle API 1.10